var is_click = false;
var H = new HVBASIC();	// basic object
var par_id = 0;		// 來自 param.js
var dbname = "";
var is_all_txt = false;

function init(){
	if(! HVJS) return false;

	// 外部傳遞 par_id
	if(typeof _param_json == "object"){
		var rs=_param_json;
		par_id=rs["par_id"];
		dbname=rs["dbname"];

		if(rs["bgcolor"]) $("html").css("background-color", rs["bgcolor"]);
		if(rs["bgimg"]) $("html").css("background-image", "url(../../../files/"+rs["bgimg"]+")");
		if(rs["layout"]){
			var l=rs["layout"];
			if(l.indexOf("img") != -1){
				$(".ul-list").addClass("has-thumb");
				if(rs["img_r"]) $(".ul-list").addClass("thumb-right");
			}
			if(l.indexOf("desc") != -1){
				$(".ul-list").addClass("has-desc");
				if(rs["desc_full"]) is_all_txt=true;
			}
			if(l.indexOf("date") != -1){
				$(".ul-list").addClass("has-date");
			}
			if(l.indexOf("title") == -1){
				$(".li-title").hide();
			}
		}
		if(rs["style"]) $("#list_style").addClass(rs["style"]);
	}
	if(! par_id || ! dbname) return false;

	var sql = "SELECT * FROM news_det where 1=1 and par_id="+par_id+" and rel_date <= date() and expire >= date() ORDER BY byIndex, rel_date DESC, seq DESC";
	return HVJS.query(dbname,sql,"load_news","callback_id");
};

function load_news(d){
	data=H.j2o(d);
	setTimeout(init_click,200);
	if(! data.stat) return false;
	if(! data.rows || ! data.rows.length) return false;	// no item found;
	if(! data.rows.item) return false;

	var x="";
	for(i in data.rows.item){
		var rs=data.rows.item[i];

		var has_thumb = rs["img_s"] ? true : false;
		var c = rs["cont_option"] && rs["cont_option"] != "0" ? " _newsdetail" : "";
		var url = rs["cont_option"] && rs["cont_option"] == 1 && rs["url"] ? rs["url"] : "";
		var js = rs["cont_option"] && rs["cont_option"] == 3 && rs["action"] ? rs["action"] : "";

		x = x + '<li class="li '+ c + '" seq="'+rs["seq"]+'" url="'+H.htmlspecialchars(url)+'" js="'+H.htmlspecialchars(js)+'">'
					+ '<div class="li-inner button-inner">'
					+ '<div class="li-text">'
					+ '<div class="li-thumb">'+(has_thumb ? '<img src="'+rs["img_s"]+'" />': '') + '</div>'
					+ '<h3 class="li-title">'+H.htmlspecialchars(rs["title"])+ '</h3>'
					+ '<div class="li-desc'+(is_all_txt ? ' all-txt':'') + '">'+H.htmlspecialchars(rs["desc"])+ '</div>'
					+ '<div class="li-date">'+H.htmlspecialchars(rs["rel_date"])+ '</div>'
					+ '</div> '
					+ '</div> </li> ';

	}
	$("#_newslist_content").empty().html(x);
};

function init_click(){

	$("._newsdetail").click(function(){
		var seq=$(this).attr("seq");
		var url=$(this).attr("url");
		var js=$(this).attr("js");
		if(!seq) return false;

		if(js && js != "") return HVJS.execAction(js); 		// action

		var p=_param_json;
		// 傳遞 seq
		p["seq"] = seq;
		// user.css url

		var t=p["page_title"];
		if(! t) t="";
		t=t.replace(/\"/g,"\\\"");
		var st='"'+t+'"';
		var s=H.o2j(p);
		var s='{"NewsParam":'+s+',"Title":'+st+'}';

		if(url && url!=""){
			var s='{"Url":"'+url.replace(/\"/g,"\\\"")+'","Title":'+st+'}';
			HVJS.gotoPage('local','browseurl',s);
		}
		else{
			// sub page
			HVJS.gotoPage('local','newsdetailhtml',s);
		}

		return false;
	});
};


